Highlighted
Contributor
Contributor

Unable to modify Update Manager Proxy settings in vCenter 6.7

Just upgraded our development vCenters from VCSA 6.5 U1g to 6.7 and I'm running into issues with VUM. While trying to add the latest HPE vibsdepot URLs, I noticed there doesn't appear to be a way to modify VUM download sources and settings in the HTML5 Client yet. I then went into the Flash/FLEX client and noticed that the Proxy settings section shows a red error with text "A general system error occurred". If you click the "Edit..." button it gives you error message "An internal error has occurred - Error #1009". Restarting the VUM service and the Flex client service on the VCSA did not resolve the issue. Anyone run into this yet?

VUM6.7Errors.JPG

0 Kudos
5 Replies
Highlighted
Contributor
Contributor

I have the same issue on my lab environment. Did you manage to find a solution? Thanks

0 Kudos
Highlighted
Contributor
Contributor

No luck so far. We've had an SR opened since May 10th. Its currently Waiting on Engineering.

0 Kudos
Highlighted
Contributor
Contributor

Thanks for coming back to me. It really is appreciated. Good luck with the case

0 Kudos
Highlighted
Contributor
Contributor

FYI we ended up solving this issue by resetting the VUM database by following this KB: https://kb.vmware.com/kb/2147284.

When you get to step 4, the command varies slightly for VCSA 6.7: /usr/lib/vmware-updatemgr/bin/updatemgr-utility.py reset-db

According to VMware support, the issue is caused by a proxy.dat file that is used for encrypting and decrypting the proxy password in the VUM database. During the 6.5 to 6.7 upgrade, the file gets replaced and the VUM service can't decrypt the proxy settings in the database. Hopefully they'll get this fixed in the next version of 6.7 so future upgrades don't end up having this issue.

0 Kudos
Highlighted
Contributor
Contributor

I had the same problem and your tip helped me to resolve this problem. Thank you!

0 Kudos